Package org.jfree.layouting.normalizer.content

## Class ContentNormalizer.ContentNormalizerState

- java.lang.Object
- - org.jfree.layouting.normalizer.content.ContentNormalizer.ContentNormalizerState

- All Implemented Interfaces:
    `java.io.Serializable`, `State`
  Enclosing class:
    ContentNormalizer

      protected static class ContentNormalizer.ContentNormalizerState
      extends java.lang.Object
      implements State

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ContentNormalizerState​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutElement` | `getCurrentElement​()` |
    `LayoutElement` | `getCurrentSilbling​()` |
    `State` | `getModelBuilderState​()` |
    `long` | `getNextId​()` |
    `State` | `getRecordingContentNormalizerState​()` |
    `StatefullComponent` | `restore​(LayoutProcess layoutProcess)` | Creates a restored instance of the saved component.
    `void` | `setCurrentElement​(LayoutElement currentElement)` |
    `void` | `setCurrentSilbling​(LayoutElement currentSilbling)` |
    `void` | `setModelBuilderState​(State modelBuilderState)` |
    `void` | `setNextId​(long nextId)` |
    `void` | `setRecordingContentNormalizerState​(State recordingContentNormalizerState)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentNormalizerState

          protected ContentNormalizerState​()

  - ### Method Detail

    - #### getRecordingContentNormalizerState

          public State getRecordingContentNormalizerState​()

    - #### setRecordingContentNormalizerState

          public void setRecordingContentNormalizerState​(State recordingContentNormalizerState)

    - #### getModelBuilderState

          public State getModelBuilderState​()

    - #### setModelBuilderState

          public void setModelBuilderState​(State modelBuilderState)

    - #### getCurrentElement

          public LayoutElement getCurrentElement​()

    - #### setCurrentElement

          public void setCurrentElement​(LayoutElement currentElement)

    - #### getCurrentSilbling

          public LayoutElement getCurrentSilbling​()

    - #### setCurrentSilbling

          public void setCurrentSilbling​(LayoutElement currentSilbling)

    - #### getNextId

          public long getNextId​()

    - #### setNextId

          public void setNextId​(long nextId)

    - #### restore

          public StatefullComponent restore​(LayoutProcess layoutProcess)
                                     throws StateException

      Creates a restored instance of the saved component.

      By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
      Specified by:
        `restore` in interface `State`
      Parameters:
        `layoutProcess` - the layout process that controls it all
      Returns:
        the saved state
      Throws:
        `StateException`